Ubuntu

FFe: Sync arduino 1:1.0+dfsg-9 (universe) from Debian unstable (main)

Reported by Scott Howard on 2012-03-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
arduino (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync arduino 1:1.0+dfsg-9 (universe) from Debian unstable (main)

It is after feature freeze, but several important bugs were fixed.
Additionally, several files were split out into a new package arduino-mk.
I am requesting that the new package be added for precise as well in a
seperate sync request.

Additionally, Arduino is planning a bug-fixing 1.0.1 release at the end of
March, but the new arduino-mk package needs to be accepted before beta freeze
per Ubuntu release policy so I'm requesting syncing now.

Changelog entries since current precise version 1:1.0+dfsg-5:

arduino (1:1.0+dfsg-9) unstable; urgency=low

  * *.pde has been renamed *.ino by upstream. debian/rules changed
    to not compress *.ino

 -- Scott Howard <email address hidden> Thu, 01 Mar 2012 15:58:45 -0500

arduino (1:1.0+dfsg-8) unstable; urgency=low

  * Made the bootloader makefile script executable, no need for lintian
    overrides any more (arduino/hardware/arduino/bootloaders/optboot/makeall)
  * Removed all mjo makefile patches from package. Arduino-mk is now
    suggested by arduino-core.
  * Debian S-R 3.9.3 no changes

 -- Scott Howard <email address hidden> Sun, 26 Feb 2012 10:52:34 -0500

arduino (1:1.0+dfsg-7) unstable; urgency=low

  * arduino-core depends on libconfig-yaml-perl. Ship mjo/ard-parse-boards
    (Closes: #660271). Will eventually drop that depend and move all mjo/
    to new package now that there are regular releases.

 -- Scott Howard <email address hidden> Sat, 18 Feb 2012 12:01:40 -0500

arduino (1:1.0+dfsg-6) unstable; urgency=low

  * New upstream release of mjo makefile (0.8). debian/patches/mjo* updated
    - Patches for version 1.0 of the Arduino IDE. Older versions might still
      work, but I've not tested it.
    - A change to the build process: rather than link all the system objects
      directly into the executable, bundle them in a library first. This
      should make the final executable smaller.
    - If TARGET isn't explicitly set, default to the current directory name.
      Thanks to Daniele Vergini for this patch.
    - Add support for .c files in system libraries: Dirk-Willem van Gulik and
      Evan Goldenberg both reported this and provided patches in the same
      spirit.
    - Added a size target as suggested by Alex Satrapa.

 -- Scott Howard <email address hidden> Sun, 12 Feb 2012 17:33:27 -0500

Changed in arduino (Ubuntu):
importance: Undecided → Wishlist
Scott Howard (showard314) wrote :

This sync must occur with sync bug #948090. If it is not possible to add the new package, we'll have to do a bug fix upload to incorporate the above bug fixes without splitting the files into a new package. The compression bug is especially important, as users will be missing several libraries and example code.

Attached is a precise buildlog

Fabrice Coutadeur (fabricesp) wrote :

Subscribing Ubuntu Release team, to get their opinion on the FFe

Scott Kitterman (kitterman) wrote :

Other than the package split out, what are the new features?

summary: - Sync arduino 1:1.0+dfsg-9 (universe) from Debian unstable (main)
+ FFe: Sync arduino 1:1.0+dfsg-9 (universe) from Debian unstable (main)

Thanks for looking into this:
There are no new features in the arduino package, just bug fixing
revolving around their 1.0 release and splitting out the files which
were adopted by a separate upstream.

Scott Kitterman (kitterman) wrote :

Ack. Approved.

Changed in arduino (Ubuntu):
status: New → Triaged
status: Triaged → Fix Released
Scott Kitterman (kitterman) wrote :

This bug was fixed in the package arduino - 1:1.0+dfsg-9
Sponsored for Scott Howard (showard314)

---------------
arduino (1:1.0+dfsg-9) unstable; urgency=low

  * *.pde has been renamed *.ino by upstream. debian/rules changed
    to not compress *.ino

 -- Scott Howard <email address hidden> Thu, 01 Mar 2012 15:58:45 -0500

arduino (1:1.0+dfsg-8) unstable; urgency=low

  * Made the bootloader makefile script executable, no need for lintian
    overrides any more (arduino/hardware/arduino/bootloaders/optboot/makeall)
  * Removed all mjo makefile patches from package. Arduino-mk is now
    suggested by arduino-core.
  * Debian S-R 3.9.3 no changes

 -- Scott Howard <email address hidden> Sun, 26 Feb 2012 10:52:34 -0500

arduino (1:1.0+dfsg-7) unstable; urgency=low

  * arduino-core depends on libconfig-yaml-perl. Ship mjo/ard-parse-boards
    (Closes: #660271). Will eventually drop that depend and move all mjo/
    to new package now that there are regular releases.

 -- Scott Howard <email address hidden> Sat, 18 Feb 2012 12:01:40 -0500

arduino (1:1.0+dfsg-6) unstable; urgency=low

  * New upstream release of mjo makefile (0.8). debian/patches/mjo* updated
    - Patches for version 1.0 of the Arduino IDE. Older versions might still
      work, but I've not tested it.
    - A change to the build process: rather than link all the system objects
      directly into the executable, bundle them in a library first. This
      should make the final executable smaller.
    - If TARGET isn't explicitly set, default to the current directory name.
      Thanks to Daniele Vergini for this patch.
    - Add support for .c files in system libraries: Dirk-Willem van Gulik and
      Evan Goldenberg both reported this and provided patches in the same
      spirit.
    - Added a size target as suggested by Alex Satrapa.

 -- Scott Howard <email address hidden> Sun, 12 Feb 2012 17:33:27 -0500

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers